Subject: Re: linux-next: build failure after merge of the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 16 Sep 2015 17:30:25 +1000

Hi Jiri,

On Wed, 16 Sep 2015 08:38:17 +0200 Jiri Olsa <[email-masked]> wrote:
>
> > > Also, building perf seems to ignore O=<dir> on the make invocation.
> > > Is that expected?
> > 
> > hum, not sure about this one.. I'm not using it, but we have
> > tests for this and I thought we're ok.. I'll check
> 
> seems to work on latest Arnaldo's perf/core,
> what command line failed for you?
> 
> [jolsa@krava perf]$ make O=/tmp/krava/
> ...
> [jolsa@krava perf]$ ll /tmp/krava/perf
> -rwxrwxr-x. 1 jolsa jolsa 12669704 Sep 16 08:36 /tmp/krava/perf

Thanks for the hint.  I was using a relative path and starting in the
top of the kernel tree, so:

$ cd kernel
$ mkdir ../perf
$ make -s -C tools/perf JOBS=24 O=../perf

put everything in toos/perf (no suprise really)

I will change my script to use an absolute path (which I checked does
work fine).  Sorry for the noise.

-- 
Cheers,
Stephen Rothwell                    [email-masked]